Skip to main content
GET
/
delivery-configs
/
{id}
/
versions
/
{version_id}
Get a specific delivery config version
curl --request GET \
  --url https://api.demo.cula.earth/tracking/v1/delivery-configs/{id}/versions/{version_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Cula-Organisation-Id: <cula-organisation-id>'
{
  "id": "dlvcv_2KFB4GK66SBXVGTC",
  "config_id": "dlvc_2KFB4GK66SBXVGTC",
  "name": "Corn Incoming Delivery",
  "allows_multiple_legs": false,
  "published_at": "2026-01-15T08:00:00Z",
  "data_point_configs": [
    {
      "id": "dptc_2KFB4GK66SBXVGTC",
      "active_version": {
        "id": "dptcv_2KFB4GK66SBXVGTC",
        "name": "Weight gross",
        "is_required": true,
        "accepts_input": true,
        "type": "short_text",
        "validation": {
          "max_length": 280
        },
        "options": [
          {
            "label": "<string>",
            "value": "<string>"
          }
        ],
        "default_input_value": "<string>"
      }
    }
  ],
  "payload_config": {
    "data_point_configs": [
      {
        "id": "dptc_2KFB4GK66SBXVGTC",
        "active_version": {
          "id": "dptcv_2KFB4GK66SBXVGTC",
          "name": "Weight gross",
          "is_required": true,
          "accepts_input": true,
          "type": "short_text",
          "validation": {
            "max_length": 280
          },
          "options": [
            {
              "label": "<string>",
              "value": "<string>"
            }
          ],
          "default_input_value": "<string>"
        }
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Headers

Cula-Organisation-Id
string
required

API ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.

Example:

"org_01h2xcejqtf2nbrexx3vqjhp41"

Path Parameters

version_id
string
required
Example:

"dlvcv_2KFB4GK66SBXVGTC"

id
string
required
Example:

"dlvc_2KFB4GK66SBXVGTC"

Response

id
string
required

The ID of the delivery config version.

Example:

"dlvcv_2KFB4GK66SBXVGTC"

config_id
string
required

The ID of the delivery config that this version belongs to.

Example:

"dlvc_2KFB4GK66SBXVGTC"

name
string
required

Human-readable name of the delivery config version.

Example:

"Corn Incoming Delivery"

allows_multiple_legs
boolean
required

Whether deliveries using this config can have more than one leg.

Example:

false

published_at
string<date-time>
required

When this version was published.

Example:

"2026-01-15T08:00:00Z"

data_point_configs
object[]
required

Data points that can be set on the delivery itself.

payload_config
object
required

Configuration for the payload of deliveries created from this config.